const PROXY_CONFIG = {
  "/api": {
    target: "http://localhost:9000",
    secure: false,
    bypass: function (req, res, proxyOptions) {
      console.log("proxy working");
      if (req.headers.accept.indexOf("html") !== -1) {
        console.log("Skipping proxy for browser request.");
        return "/bitfrontlibrary/index.html";
      }
      req.headers["Access-Control-Allow-Origin"] = "*";
    }
  },
  "/bitfrontlibrary/api": {
    target: "http://localhost:9000",
    secure: false,
    bypass: function (req, res, proxyOptions) {
      console.log("proxy working");
      if (req.headers.accept.indexOf("html") !== -1) {
        console.log("Skipping proxy for browser request.");
        return "/bitfrontlibrary/index.html";
      }
      req.headers["Access-Control-Allow-Origin"] = "*";
    }
  }
};

module.exports = PROXY_CONFIG;
