import { Request, Response } from "express";
import { ENLACES } from "./db-data";

export var usuarioEnlacesKeyCounter = 100;

export function createUsuarioEnlace(req: Request, res: Response) {
  console.log("Creating new usuario enlace...");

  const changes = req.body;

  console.log("usuarioEnlacesKeyCounter", usuarioEnlacesKeyCounter);
  const newUsuarioEnlace = {
    ...changes
  };
  newUsuarioEnlace.id = usuarioEnlacesKeyCounter;
  console.log("newUsuarioEnlace", newUsuarioEnlace);

  ENLACES[newUsuarioEnlace.id] = newUsuarioEnlace;

  usuarioEnlacesKeyCounter += 1;

  setTimeout(() => {
    res.status(200).json(newUsuarioEnlace);
  }, 2000);
}

export function saveUsuarioEnlace(req: Request, res: Response) {
  console.log("Saving usuario enlace ...");

  const id = req.params["id"],
    changes = req.body;

  ENLACES[id] = {
    ...ENLACES[id],
    ...changes
  };

  setTimeout(() => {
    res.status(200).json(ENLACES[id]);
  }, 2000);
}

export function deleteUsuarioEnlace(req: Request, res: Response) {
  console.log("Deleting usuario enlace...");

  const id = req.params["id"];

  const usuario = ENLACES[id];

  delete ENLACES[id];

  setTimeout(() => {
    res.status(200).json({ id });
  }, 2000);
}

export function deleteUsuarioEnlaces(req: Request, res: Response) {
  console.log("Deleting usuario enlaces...");

  const ids = req.body;
  console.log("ids a borrar", ids);

  for (let i = 0; i < ids.length; i++) {
    delete ENLACES[ids[i]];
  }

  setTimeout(() => {
    res.status(200).json({});
  }, 2000);
}
