import { UsuarioListV3Component } from "./list/usuario-list-v3.component";
import { UsuarioListV3FilterComponent } from "./list/usuario-list-v3-filter.component";
import { UsuarioListV3TableViewComponent } from "./list/usuario-list-v3-tableview.component";
import { UsuarioFormV3Component } from "./form/usuario-form-v3.component";

import { UsuarioEnlacesListComponent } from "./enlaces/usuario-enlaces-list.component";
import { UsuarioEnlacesListTableViewComponent } from "./enlaces/usuario-enlaces-list.tableview.component";
import { EnlaceDialogFormComponent } from "./enlaces/enlace-dialog-form.component";
import { UsuarioFormUploadV3Component } from "./form/usuario-form-upload-v3.component";

export * from "./list/usuario-list-v3.component";
export * from "./list/usuario-list-v3-filter.component";
export * from "./list/usuario-list-v3-tableview.component";
export * from "./form/usuario-form-v3.component";
export * from "./form/usuario-form-upload-v3.component";
export * from "./enlaces/usuario-enlaces-list.component";
export * from "./enlaces/usuario-enlaces-list.tableview.component";
export * from "./enlaces/enlace-dialog-form.component";

export const components: any[] = [
  UsuarioListV3Component,
  UsuarioListV3FilterComponent,
  UsuarioListV3TableViewComponent,
  UsuarioFormV3Component,
  UsuarioFormUploadV3Component,
  UsuarioEnlacesListComponent,
  UsuarioEnlacesListTableViewComponent,
  EnlaceDialogFormComponent
];
