import { Request, Response } from "express";
import { USUARIOS } from "./db-data";

export var usuariosKeyCounter = 100;

export function createUsuario(req: Request, res: Response) {
  console.log("Creating new usuario ...");

  const changes = req.body;

  console.log("usuariosKeyCounter", usuariosKeyCounter);
  const newUsuario = {
    ...changes
  };
  newUsuario.id = usuariosKeyCounter;

  console.log("newUsuario", newUsuario);

  USUARIOS[newUsuario.id] = newUsuario;

  usuariosKeyCounter += 1;

  setTimeout(() => {
    res.status(200).json(newUsuario);
  }, 2000);
}

export function saveUsuario(req: Request, res: Response) {
  console.log("Saving usuario ...");

  const id = req.params["id"],
    changes = req.body;

  USUARIOS[id] = {
    ...USUARIOS[id],
    ...changes
  };

  setTimeout(() => {
    res.status(200).json(USUARIOS[id]);
  }, 2000);
}

export function deleteUsuario(req: Request, res: Response) {
  console.log("Deleting usuario ...");

  const id = req.params["id"];

  const usuario = USUARIOS[id];

  delete USUARIOS[id];

  setTimeout(() => {
    res.status(200).json({ id });
  }, 2000);
}
