import { Request, Response } from "express";
import { USUARIOS, ENLACES } from "./db-data";

export function getAllUsuarios(req: Request, res: Response) {
  console.log("Retrieving usuarios data ...");
  console.log("query", req.query);
  setTimeout(() => {
    res.status(200).json(Object.values(USUARIOS));
  }, 1000);
}

export function getCountUsuarios(req: Request, res: Response) {
  console.log("Retrieving usuarios count ...");

  setTimeout(() => {
    res.status(200).json(6);
  }, 1000);
}

export function getUsuarioById(req: Request, res: Response) {
  const id = req.params["id"];
  console.log("params", req.params);
  const usuarios: any = Object.values(USUARIOS);

  const usuario = usuarios.find(usuario => usuario.id == id);

  setTimeout(() => {
    res.status(200).json(usuario);
  }, 1000);
}

export function getAllUsuarioEnlaces(req: Request, res: Response) {
  console.log("getAllUsuarioEnlaces");
  const usuarioId = req.query["usuarioId"];
  console.log("usuarioId", usuarioId);

  const enlaces: any = Object.values(ENLACES);
  console.log("enlaces", enlaces);
  const usuarioEnlaces = enlaces.filter(usuarioEnlace => usuarioEnlace.usuarioId == usuarioId);
  console.log("usuarioEnlaces", usuarioEnlaces);

  setTimeout(() => {
    res.status(200).json(usuarioEnlaces);
  }, 1000);
}
