import { Directive } from "@angular/core";
import { Subject } from "rxjs";

@Directive()
export abstract class BaseComponent {
  destroy$: Subject<boolean> = new Subject<boolean>();

  ngOnDestroy() {
    this.destroy$.next(true);
    this.destroy$.unsubscribe();
  }
}
