import { Item } from "../../shared/data/item";

export class Usuario extends Item {
  constructor(
    public id: number,
    public nombre: string,
    public apellidos: string,
    public login: string,
    public fechaBaja: string,
    public files: any
  ) {
    super(id);
  }

  public static newObject(): Usuario {
    return new Usuario(null, null, null, null, null, null);
  }
}

export function compareUsuarios(u1: Usuario, u2: Usuario) {
  const compare = u1.nombre.localeCompare(u2.nombre);

  if (compare > 0) {
    return 1;
  } else if (compare < 0) {
    return -1;
  } else return 0;
}
