import { NgModule } from "@angular/core";

/* Other Modules */
import { SharedModule } from "../shared/shared.module";
import { DeveloperComponent } from "./developer.component";

import { routing } from "./developer.routing";

import { DeveloperService } from "../developerlibrary/shared/service/developer.service";
import { LogService } from "../developerlibrary/shared/service/log.service";
import { DeveloperLibraryModule } from "../developerlibrary";

@NgModule({
  imports: [SharedModule, DeveloperLibraryModule, routing],
  declarations: [DeveloperComponent],
  providers: [DeveloperService, LogService],
  exports: []
})
export class DeveloperModule {}
