import { ModuleWithProviders } from "@angular/core";
import { RouterModule } from "@angular/router";

import { HomeComponent } from "./home.component";
import { ErrorComponent } from "./error.component";

export const routing: ModuleWithProviders<RouterModule> = RouterModule.forChild([
  { path: "home", component: HomeComponent },
  { path: "error", component: ErrorComponent }
]);
