import { AyudaService } from "./ayuda.service";
import { CustomValidators } from "./custom-validators.service";
import { DomainCachedService } from "./domain-cached.service";
import { DomainService } from "./domain.service";
import { FocusService } from "./focus.service";
import { GeneralUtils } from "./general-utils.service";
import { HttpUtilsService } from "./http-utils.service";
import { MessageService } from "./message.service";
import { SessionSharedService } from "./session-shared.service";
import { TableViewService } from "./tableview.service";
import { ToolbarService } from "./toolbar.service";
import { UploadService } from "./upload.service";
import { DomainResolve } from "../resolve/domain.resolve";

export * from "./ayuda.service";
export * from "./custom-validators.service";
export * from "./domain-cached.service";
export * from "./domain.service";
export * from "../resolve/domain.resolve";
export * from "./focus.service";
export * from "./general-utils.service";
export * from "./http-utils.service";
export * from "./locator.service";
export * from "./message.service";
export * from "./session-shared.service";
export * from "./tableview.service";
export * from "./toolbar.service";
export * from "./upload.service";

export const services: any[] = [
  AyudaService,
  CustomValidators,
  DomainCachedService,
  DomainService,
  DomainResolve,
  FocusService,
  GeneralUtils,
  HttpUtilsService,
  MessageService,
  SessionSharedService,
  TableViewService,
  ToolbarService,
  UploadService
];
