import { Injectable } from "@angular/core";
import { BaseCRUDService } from "../../../base";
import { HttpUtilsService, MessageService } from "../../../shared";

@Injectable()
export class UsuarioService extends BaseCRUDService {
  protected baseUrl: string = "usuarios";

  constructor(protected messageService: MessageService, protected http: HttpUtilsService) {
    super(messageService, http);
  }
}
