import { ActionReducerMap, createFeatureSelector } from "@ngrx/store";
import * as fromUsuarioList from "./usuario-list.reducer";
import * as fromUsuarioForm from "./usuario-form.reducer";

export interface UsuarioV2State {
  usuarioV2Form: any;
  usuarioV2List: any;
}

export const reducers: ActionReducerMap<UsuarioV2State> = {
  usuarioV2Form: fromUsuarioForm.usuarioFormReducer,
  usuarioV2List: fromUsuarioList.usuarioListReducer
};

export const getUsuarioV2State = createFeatureSelector<UsuarioV2State>("usuariosV2");
