import { UsuarioEntityService } from "./usuario-entity.service";
import { UsuarioDataService } from "./usuario-data.service";
import { UsuarioFormResolver } from "./usuario-form.resolve";
import { UsuarioEnlacesEntityService } from "./usuario-enlaces-entity.service";
import { UsuarioEnlacesDataService } from "./usuario-enlaces-data.service";

export * from "./usuario-entity.service";
export * from "./usuario-data.service";
export * from "./usuario-form.resolve";
export * from "./usuario-enlaces-entity.service";
export * from "./usuario-enlaces-data.service";

export const services: any[] = [
  UsuarioEntityService,
  UsuarioDataService,
  UsuarioFormResolver,
  UsuarioEnlacesEntityService,
  UsuarioEnlacesDataService
];
