import { NgModule } from "@angular/core";

/* Other Modules */
import { SharedModule } from "../../shared/shared.module";

import { routing } from "./form.routing";
import { TestService } from "./shared/test.service";

import * as fromComponents from "./components";

@NgModule({
  imports: [SharedModule, routing],
  declarations: [...fromComponents.components],
  providers: [TestService],
  exports: [...fromComponents.components]
})
export class FormModule {
  constructor() {
    console.log("FormModule constructor");
  }
}
